automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[FYI] {master} coverage: split info files are not installed nor distribu


From: Stefano Lattarini
Subject: [FYI] {master} coverage: split info files are not installed nor distributed
Date: Wed, 23 Jan 2013 12:00:44 +0100

See automake bugs #12320 and #13351.

* t/txinfo-no-extra-dist.sh: Enhance.

Signed-off-by: Stefano Lattarini <address@hidden>
---
 t/txinfo-no-extra-dist.sh | 62 +++++++++++++++++++++++++++++++++++------------
 1 file changed, 47 insertions(+), 15 deletions(-)

diff --git a/t/txinfo-no-extra-dist.sh b/t/txinfo-no-extra-dist.sh
index aa7bec2..245d3e0 100755
--- a/t/txinfo-no-extra-dist.sh
+++ b/t/txinfo-no-extra-dist.sh
@@ -15,7 +15,10 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 # Test to ensure that a ".info~" or ".info.bak" file doesn't end up
-# in the distribution.  Bug report from Greg McGary.
+# in the distribution or the installation.  Bug report from Greg McGary.
+# Also make sure that "split" info files (today no longer supported,
+# see automake bug#13351) are not distributed nor installed.  See
+# automake bug#12320.
 
 . test-init.sh
 
@@ -25,14 +28,33 @@ END
 
 cat > Makefile.am << 'END'
 info_TEXINFOS = textutils.texi subdir/main.texi
-test: distdir
+
+test-dist: distdir
+       test -f $(distdir)/textutils.info
+       test -f $(distdir)/subdir/main.info
        @echo DISTFILES = $(DISTFILES)
-       @case '$(DISTFILES)' in *'~'*|*'.bak'*) exit 1;; *) exit 0;; esac
-       st=0; \
+       @case '$(DISTFILES)' in \
+           *'~'*|*'.bak'*|*'.info-'*|*.i[0-9]*) exit 1;; \
+           *) exit 0;; \
+         esac
+       @st=0; \
         find $(distdir) | grep '~' && st=1; \
         find $(distdir) | grep '\.bak' && st=1; \
+        find $(distdir) | grep '\.info-' && st=1; \
+        find $(distdir) | grep '\.i[0-9]' && st=1; \
+        exit $$st
+
+test-inst: install
+       test -f '$(infodir)/textutils.info'
+       test -f '$(infodir)/main.info'
+       @st=0; \
+        find '$(prefix)' | grep '~' && st=1; \
+        find '$(prefix)' | grep '\.bak' && st=1; \
+        find '$(prefix)' | grep '\.info-' && st=1; \
+        find '$(prefix)' | grep '\.i[0-9]' && st=1; \
         exit $$st
-PHONY: test
+
+PHONY: test-dist test-inst
 END
 
 : > texinfo.tex
@@ -44,16 +66,26 @@ $ACLOCAL
 $AUTOCONF
 $AUTOMAKE
 
-./configure
-: > textutils.info
-: > subdir/main.info
-: > textutils.info~
-: > textutils.info.bak
-: > subdir/main.info~
-: > subdir/main.info.bak
-$MAKE test
+./configure --prefix="$(pwd)/_inst"
+info_suffixes='info info-0 info-1 info-2 i00 i01 i23 info.bak info~'
+for suf in $info_suffixes; do
+  for base in textutils subdir/main; do
+    : > $base.$suf
+  done
+done
+ls -l . subdir # For debugging.
+$MAKE test-dist
+$MAKE test-inst
 $MAKE maintainer-clean
-test -f subdir/main.info~
-test -f subdir/main.info.bak
+
+for suf in $info_suffixes; do
+  for base in textutils subdir/main; do
+    if test "$suf" = info; then
+      test ! -e $base.$suf
+    else
+      test -f $base.$suf
+    fi
+  done
+done
 
 :
-- 
1.8.1.rc3.438.ge9abef6




reply via email to

[Prev in Thread] Current Thread [Next in Thread]